<template>
  <div class="mt-basic-layout">
    <mt-header />
    <slot>
      <section class="mt-super-container mt-blue-pale">
        <div class="mt-container">
          <div class="mt-row-container mt-white"></div>
          <nuxt />
        </div>
      </section>
    </slot>
    <mt-footer />
  </div>
</template>

<script>
import MtHeader from './header';
import MtFooter from './footer';

export default {
  components: {
    MtHeader,
    MtFooter,
  },
};
</script>

<style scoped lang="scss">
.mt-basic-layout {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 100vh;
  .container {
    width: 100%;
  }
}
</style>
